<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="1"
            android:text="@string/hotel_predetermine_sub_payment"
            android:textColor="@color/text_color_blue"
            android:textSize="@dimen/text_size_large"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/hotel_predetermine_currency"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:textColor="@color/color_caution"
            android:textSize="@dimen/text_size_minimum"/>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="@string/payment_currency"
            android:textSize="@dimen/text_size_medium" />

        <TextView
            android:id="@+id/hotel_payment_currency"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="end"
            android:hint="@string/please_select"
            android:singleLine="true"
            android:textColor="@color/text_color"
            android:textColorHint="@color/hint_text_color"
            android:textSize="@dimen/text_size_medium" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="@string/reality_single_room"
            android:textSize="@dimen/text_size_medium" />

        <EditText
            android:id="@+id/reality_single_room"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="end"
            android:hint="@string/please_input"
            android:importantForAutofill="no"
            android:inputType="number"
            android:selectAllOnFocus="true"
            android:singleLine="true"
            android:textColor="@color/text_color"
            android:textColorHint="@color/hint_text_color"
            android:textSize="@dimen/text_size_medium" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:text="@string/room_numbers"
            android:textSize="@dimen/text_size_medium" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_weight="2"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/single_room_price"
                android:textSize="@dimen/text_size_medium" />

            <EditText
                android:id="@+id/single_room_price"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_input"
                android:importantForAutofill="no"
                android:inputType="numberDecimal"
                android:selectAllOnFocus="true"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/unit"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/single_room_unit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/no_info"
                android:singleLine="true"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="@string/reality_double_room"
            android:textSize="@dimen/text_size_medium" />

        <EditText
            android:id="@+id/reality_double_room"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="end"
            android:hint="@string/please_input"
            android:importantForAutofill="no"
            android:inputType="number"
            android:selectAllOnFocus="true"
            android:singleLine="true"
            android:textColor="@color/text_color"
            android:textColorHint="@color/hint_text_color"
            android:textSize="@dimen/text_size_medium" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:text="@string/room_numbers"
            android:textSize="@dimen/text_size_medium" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_weight="2"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/double_room_price"
                android:textSize="@dimen/text_size_medium" />

            <EditText
                android:id="@+id/double_room_price"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_input"
                android:importantForAutofill="no"
                android:inputType="numberDecimal"
                android:selectAllOnFocus="true"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/unit"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/double_room_unit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/no_info"
                android:singleLine="true"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="@string/reality_suite_room"
            android:textSize="@dimen/text_size_medium" />

        <EditText
            android:id="@+id/reality_suite_room"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="end"
            android:hint="@string/please_input"
            android:importantForAutofill="no"
            android:inputType="number"
            android:selectAllOnFocus="true"
            android:singleLine="true"
            android:textColor="@color/text_color"
            android:textColorHint="@color/hint_text_color"
            android:textSize="@dimen/text_size_medium" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:text="@string/room_numbers"
            android:textSize="@dimen/text_size_medium" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_weight="2"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/suite_room_price"
                android:textSize="@dimen/text_size_medium" />

            <EditText
                android:id="@+id/suite_room_price"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_input"
                android:importantForAutofill="no"
                android:inputType="numberDecimal"
                android:selectAllOnFocus="true"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/unit"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/suite_room_unit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/no_info"
                android:singleLine="true"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="@string/reality_other_room"
            android:textSize="@dimen/text_size_medium" />

        <EditText
            android:id="@+id/reality_other_room"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="end"
            android:hint="@string/please_input"
            android:importantForAutofill="no"
            android:inputType="number"
            android:selectAllOnFocus="true"
            android:singleLine="true"
            android:textColor="@color/text_color"
            android:textColorHint="@color/hint_text_color"
            android:textSize="@dimen/text_size_medium" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:text="@string/room_numbers"
            android:textSize="@dimen/text_size_medium" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_weight="2"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/other_room_price"
                android:textSize="@dimen/text_size_medium" />

            <EditText
                android:id="@+id/other_room_price"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/please_input"
                android:importantForAutofill="no"
                android:inputType="numberDecimal"
                android:selectAllOnFocus="true"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/unit"
                android:textSize="@dimen/text_size_medium" />

            <TextView
                android:id="@+id/other_room_unit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@color/white"
                android:gravity="end"
                android:hint="@string/no_info"
                android:singleLine="true"
                android:textColorHint="@color/hint_text_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding_small"
        android:orientation="horizontal">

        <TextView
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:text="@string/hotel_op_pay"
            android:gravity="center_vertical"
            android:textSize="@dimen/text_size_medium" />

        <RadioGroup
            android:id="@+id/hotel_op_pay"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="end"
            android:orientation="horizontal">

            <RadioButton
                android:id="@+id/hotel_yes"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/style_radio_button"
                android:buttonTint="@color/title_background_color"
                android:text="@string/yes"
                android:textColor="@color/text_color" />

            <RadioButton
                android:id="@+id/hotel_no"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/common_padding"
                android:background="@drawable/style_radio_button"
                android:buttonTint="@color/title_background_color"
                android:checked="true"
                android:text="@string/no"
                android:textColor="@color/text_color" />
        </RadioGroup>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="@string/credit_card_amount"
            android:textSize="@dimen/text_size_medium" />

        <TextView
            android:id="@+id/credit_card_payment"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@color/white"
            android:gravity="end"
            android:singleLine="true"
            android:textColorHint="@color/hint_text_color"
            android:textSize="@dimen/text_size_medium" />
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginTop="@dimen/common_padding"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

</LinearLayout>